return require('packer').startup(function()
    
  -- Packer can manage itself as an optional plugin
  use {'wbthomason/packer.nvim', opt = true}

  -- Fuzzy finder
  use {
      'nvim-telescope/telescope.nvim',
      requires = {{'nvim-lua/popup.nvim'}, {'nvim-lua/plenary.nvim'}}
  }

  -- LSP and completion
  use { 'neovim/nvim-lspconfig' }
  use { 'nvim-lua/completion-nvim' }

  -- Lua development
  use { 'tjdevries/nlua.nvim' }


  -- Vim dispatch
  use { 'tpope/vim-dispatch' }

  -- Fugitive for Git
  use { 'tpope/vim-fugitive' }

  -- Fugitive for Git
  use { 'ray-x/lsp_signature.nvim' }

  -- Airline status bar
  use { 'vim-airline/vim-airline' }
  use { 'vim-airline/vim-airline-themes' }

  use { 'cespare/vim-toml' }
  use { 'folke/trouble.nvim' }
  use { 'glepnir/lspsaga.nvim' }
  use { 'hrsh7th/nvim-compe' }
  use { 'jacoborus/tender.vim' }
  use { 'kyazdani42/nvim-web-devicons' }
  use { 'RRethy/vim-illuminate' }
  use { 'rust-lang/rust.vim' }
  use { 'scrooloose/nerdtree' }
  use { 'vim-scripts/DrawIt' }

end)
